package bean;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
(name = "EJBCustomer")
@WebService(name = "EService", serviceName = "EmployeeService")
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager manager;

  @WebMethod
  public void createCustomer(@WebParam(name = "Customer")
  Customer c) {
    manager.persist(c);
  }

  @WebMethod
  @WebResult(name = "Cabin")
  public Customer findCustomer(@WebParam(name = "ID")
  int pKey) {
    return manager.find(Customer.class, pKey);
  }
}
